// Card123Dlg.h : header file
//

#if !defined(AFX_CARD123DLG_H__D4A8A827_A664_4175_AA59_DD5E8DF20CE6__INCLUDED_)
#define AFX_CARD123DLG_H__D4A8A827_A664_4175_AA59_DD5E8DF20CE6__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "WoosimPrinter_LIB.h"
#pragma comment(lib, "WoosimPrinter.lib")

/////////////////////////////////////////////////////////////////////////////
// CCard123Dlg dialog

class CCard123Dlg : public CDialog
{
// Construction
public:
	CCard123Dlg(CWnd* pParent = NULL);	// standard constructor

	int intReturnValue;				
	CString strDataHex, strDataAscii;
// Dialog Data
	//{{AFX_DATA(CCard123Dlg)
	enum { IDD = IDD_CARD123_DIALOG };
	CButton	m_chkCtrlTcpip;
	CButton	m_btnCtrlHex;
	CButton	m_btnCtrlAscii;
	CComboBox	m_cboCtrlProtocol;
	CComboBox	m_cboCtrlBaud;
	CComboBox	m_cboCtrlSetPort;
	CString	m_strStatus;
	CString	m_strMsg;
	CString	m_strCardNo;
	CString	m_strValidData;
	CString	m_strReceiveData;
	int iRet;
	CString	m_SetIP;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CCard123Dlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	virtual LRESULT DefWindowProc(UINT message, WPARAM wParam, LPARAM lParam);
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CCard123Dlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnButtonAscii();
	afx_msg void OnButtonOpen();
	afx_msg void OnBUTTONTrack2();
	afx_msg void OnBUTTONTrack3();
	afx_msg void OnBUTTONTrack23();
	afx_msg void OnBUTTONCancel();
	afx_msg void OnButton1dbar();
	afx_msg void OnButtonBitmap();
	afx_msg void OnBUTTONPrint();
	afx_msg void OnButtonHex();
	afx_msg void OnDestroy();
	virtual void OnOK();
	afx_msg void OnButton2dbar();
	afx_msg void OnButtonClose();
	
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CARD123DLG_H__D4A8A827_A664_4175_AA59_DD5E8DF20CE6__INCLUDED_)
